//
//
// example of incorporation of C++ into python using boost-python
#include <boost/python/module.hpp>
#include <boost/python/def.hpp>
#include <complex>
//#include <cmath>
//#include <stdio.h>


//            while abs(z) < zabs_max and nit < nitmax:
//                z = z**2 + c
//                nit += 1
//            ratio = (float(nit) / nitmax) * 255.0

double calcz(std::complex<double> z, std::complex<double> c)
{
  long nitmax = 1000;
  long nit = 1;
  while( abs(z) < 10.0 && nit < nitmax)
    z = z * z + c;
  double ratio = 255.0  * nit / nitmax;
  return ratio;
}

namespace python = boost::python;

BOOST_PYTHON_MODULE(julia1)
{
  python::def("calcz",calcz);
}
